List Contacts

Use /contacts to retrieve service and billing address along with contact information on your account.


URI

GET /api/v1/customers/{customerId}/contacts

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique identifier assigned to customer

Response Fields

Parameter Data Type Description
request_tracking_id String Unique identifier for each request
contacts Object The contacts details on account
type String Defines contact type 'billing' or 'service'
name String Name on account
first_name String First name
middle_name String Middle name
last_name String Last name
land_line String Land line phone number
work_phone String Work phone number
mobile_phone String Mobile phone number
fax String Fax number
email String Email address
address Object The address details on account
street String Street name
city String City
country String Country code
province String Canada state name
postal_code String Canada postal code
state String US state name
zip String US postal code
zip4 String 4 digit extension postal code for US addresses
metadata object More details regarding contacts
cleansed String Address cleansed flag(true/false)

Tip

For information about how to test, see How To Test

Sample Request

http://api.wm.com/v1/customers/123456789/contacts

Sample Response

{    "request_tracking_id": "67865456",    "contacts": [        {            "type": "billing",            "name": "JOHN, SMITH",            "first_name": "JOHN",            "last_name": "SMITH",            "work_phone": "9147222006",            "mobile_phone": "9147322006",            "fax": "9141212006",            "email": "johnsmith@gmail.COM",            "address": {        "street": "1021 MAIN ST",        "city": "HOUSTON",        "country": "US",        "metadata": {            "cleansed": "false"        }            }        },        {            "type": "service",            "name": "JOHN, SMITH",            "first_name": "JOHN",            "last_name": "SMITH",            "work_phone": "9147222006",            "mobile_phone": "9147322006",            "fax": "9141212006",            "email": "johnsmith@gmail.COM",            "address": {            "street": "1021 MAIN ST",            "city": "HOUSTON",            "country": "US",            "metadata": {               "cleansed": "false"                }            }        }    ]}